//
//   @file    amcfast_utils.cxx         
//   
//
//   @author M.Sutton
// 
//   Copyright (C) 2013 M.Sutton (sutt@cern.ch)    
//
//   $Id: amcfast_utils.cxx, v0.0   Tue 13 Aug 2013 12:20:03 CEST sutt $


#include <cstdlib>
#include <cmath>
#include <string>
#include <fstream>
#include <sys/stat.h>

#include "amcfast_utils.h"

//namespace amcfast {  

/// simple test if a file exists
bool amcfast::file_exists(const std::string& s) {   
  struct stat sb;
  if ( stat( s.c_str(), &sb)==0 ) return true; // && S_ISREG(sb.st_mode ))
  else return false;
}

/// Some kinematical definitions
double amcfast::rapidity(double E, double pz) { 
    return 0.5 * std::log( ( E + pz ) / ( E - pz ) ); 
}
  
double amcfast::pt( double px, double py ) { 
    return std::sqrt( px * px + py * py );
}
  
double amcfast::mass(double E, double px, double py, double pz ) { 
    return std::sqrt( E * E - px * px - py * py - pz * pz );  
}
  
//}


